Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.gui
Class ManageSimTime

    java.lang.Object
      avrora.gui.ManageSimTime

public class ManageSimTime
extends java.lang.Object

From a high level view, the controls what the simulation is doing. It can start, top, pause, speed up, and slow down the simulator. It also contains within it the visual component necessary to make this happen (the start, stop buttons, the slider for controlling time. AvroraGui accesses these visual elements and displays them

Field Summary
`javax.swing.JPanel` | `simTimeEverything` This is a panel that contains all the visual elements of this class.

Constructor Summary
`ManageSimTime()`

Method Summary
`boolean` | `checkAndDispatch(java.awt.event.ActionEvent e)` This function checks to see if an event was caused by this panel.
`static ManageSimTime` | `createManageSimTime()` This is a "constructor" - it inits all internal fields It is generally called by AvroraGui when the GUI is being created
`boolean` | `sliderAndSpinnerDispatch(javax.swing.event.ChangeEvent e)` This function checks to see if an event was caused by this panel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simTimeEverything

    public javax.swing.JPanel simTimeEverything

  This is a panel that contains all the visual elements of this class. It can be displayed by AvroraGui and the user can then interact with it

Constructor Detail

### ManageSimTime

    public ManageSimTime()

Method Detail

### createManageSimTime

    public static ManageSimTime createManageSimTime()

  This is a "constructor" - it inits all internal fields It is generally called by AvroraGui when the GUI is being created

  Returns:
    An instance of ManageSimTime

### checkAndDispatch

    public boolean checkAndDispatch(java.awt.event.ActionEvent e)

  This function checks to see if an event was caused by this panel. If so, it reacts to it.

  Returns:
    true if this panel caused the event, otherwise false

### sliderAndSpinnerDispatch

    public boolean sliderAndSpinnerDispatch(javax.swing.event.ChangeEvent e)

  This function checks to see if an event was caused by this panel. If so, it reacts to it. Instead of looking for action events, it looks for ChangeEvents.

  Returns:
    true if this panel caused the event, otherwise false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD